# epochcli

CLI tool for updating and launching [Project Epoch](https://www.project-epoch.net/) on Linux & macOS.

## Setup
For Linux, a `wine` prefix with `dxvk` installed is sufficient, or you can use something like Lutris or faugus-launcher without the launcher functionality in `epochcli`.

For macOS, I've found the best way to run the client is in a Parallels Win 11 VM. Kegworks, Codeweavers, etc crash when the game starts up and I have not found a good solution so far.

1. Download and extract the latest binary from the [releases](https://git.burkey.co/eburk/epochcli/releases) page. 
2. Run `epochcli`. You will be taken through a setup process that configures the program and creates a config file at `$HOME/.config/epochcli/config.toml`
3. You can now use `epochcli` as just a standalone updater or also a launcher based on your configuration. You can always run `epochcli -c` to redo the configuration or edit the config file manually

## Usage
```
> ./epochcli -h
  -c    Runs config configuration step. Overrides the config file
  -f    Forces epochcli to update files even if they match the current version
  -h    Print help
  -u    Ignore EnableLauncher setting in config and only runs an update. Does nothing if EnableLauncher is false
```

## Issues

If you have any issues, [email me](mailto:evan@burkey.co) or ping `Battlehammer` on the Epoch discord